Package org.apache.sysds.lops

# Enum Class PickByCount.OperationTypes

java.lang.Object
java.lang.Enum<PickByCount.OperationTypes>
org.apache.sysds.lops.PickByCount.OperationTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<PickByCount.OperationTypes>`, `Constable`

Enclosing class:
  PickByCount

public static enum PickByCount.OperationTypes extends Enum<PickByCount.OperationTypes>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IQM`
`MEDIAN`
`RANGEPICK`
`VALUEPICK`

## Method Summary

Modifier and Type
Method
Description
`static PickByCount.OperationTypes`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PickByCount.OperationTypes[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VALUEPICK

public static final PickByCount.OperationTypes VALUEPICK

### RANGEPICK

public static final PickByCount.OperationTypes RANGEPICK

### IQM

public static final PickByCount.OperationTypes IQM

### MEDIAN

public static final PickByCount.OperationTypes MEDIAN

## Method Details

### values

public static PickByCount.OperationTypes[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PickByCount.OperationTypes valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null